Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workviews
Class GetWorkViewsForResource2

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workviews.GetWorkViewsForResource2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<WorkViewsResult2>, net.customware.gwt.dispatch.shared.Action<WorkViewsResult2>

    public class GetWorkViewsForResource2

extends java.lang.Object
implements OSAction<WorkViewsResult2>

Get a list of Work Views for the current Resource

This Version of the Action returns additional view parameters including what type of Work List the view is showing and what type of Work Items will be returned

©2013 TIBCO Software Inc.

Since:
  2.2.0

Constructor Summary
`GetWorkViewsForResource2(int startPosition, int numberOfItems)` Constructs a new GetWorkViewsForResource2 Action.

Method Summary
`int` | `getNumberOfItems()` Number of items to return
`int` | `getStartPosition()` Start position for the list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetWorkViewsForResource2

    public GetWorkViewsForResource2(int startPosition,
                                    int numberOfItems)

  Constructs a new GetWorkViewsForResource2 Action.

  Parameters:
    `startPosition` - The start position for the list of views.
    `numberOfItems` - The number of items to return.

Method Detail

### getStartPosition

    public int getStartPosition()

  Start position for the list

### getNumberOfItems

    public int getNumberOfItems()

  Number of items to return

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.